# Type Alias PageCfg

type PageCfg = {
attributes?: any;
description: string;
fixed_states?: string | any;
id?: number;
layout: string | Layout | GenObj;
min_role: number;
name: string;
title: string;
}

- Defined in model-abstracts/abstract_page.ts:15

##### Index

### Properties

attributes?
description
fixed_states?
id?
layout
min_role
name
title

## Properties

### `Optional` attributes

attributes?: any

- Defined in model-abstracts/abstract_page.ts:23

### description

description: string

- Defined in model-abstracts/abstract_page.ts:18

### `Optional` fixed_states

fixed_states?: string | any

- Defined in model-abstracts/abstract_page.ts:22

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_page.ts:20

### layout

layout: string | Layout | GenObj

- Defined in model-abstracts/abstract_page.ts:21

### min_role

min_role: number

- Defined in model-abstracts/abstract_page.ts:19

### name

name: string

- Defined in model-abstracts/abstract_page.ts:16

### title

title: string

- Defined in model-abstracts/abstract_page.ts:17